<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2008 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Форма добаления/редактирования товара.
 * 
 * Файл: /admin/shop/action/form_edit_add_items_catalog.php
 * 
 * @author Hostmake LLC
 * @version 5.2
 */
if (isset($id))
{
	$edit_items_catalog_id = $id;
}
else
{
	$edit_items_catalog_id = 0;
}

$form_params = array();
$form_params['title'] = $edit_items_catalog_id == 0
? $GLOBALS['MSG_shops']['items_catalog_add_form_title']
: $GLOBALS['MSG_shops']['items_catalog_edit_form_title'];

$form_params['form_attribs']['method'] = 'post';
$form_params['form_attribs']['action'] = '/admin/shop/shop.php';
$form_params['form_attribs']['ENCTYPE'] = 'multipart/form-data';
$form_params['form_attribs']['name'] = 'EditAddItem';

$shop = & singleton('shop');

$admin_forms_fields = new admin_forms_fields();

$DataBase = & singleton('DataBase');

$shop_shops_id = to_int($_REQUEST['shop_shops_id']);

$shop_groups_parent_id = to_int($_REQUEST['shop_groups_parent_id']);

if ($shop_groups_parent_id == 0)
{
	$item_row = $shop->GetItem($edit_items_catalog_id, array('cache_off' => true));

	$shop_groups_parent_id = $item_row['shop_groups_id'];
}

$row_shop = $shop->GetShop($shop_shops_id);

// Определим ID макета по структуре
$structure = & singleton('Structure');
$structure_row = $structure->GetStructureItem(to_int($row_shop['structure_id']));
$template_id = to_int($structure_row['templates_id']);

// Хлебные крошки
$path_array = $shop->GetShopPathArray($shop_groups_parent_id, false);

// Преобразуем идентификаторы групп в ссылки на группы.
$new_path_array = array();

$new_path_array[0]['name'] = $GLOBALS['MSG_shops']['header_admin__list_forms'];
$new_path_array[0]['link'] = $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', '', 54, 'load_data');
$new_path_array[0]['onclick'] = $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', '', 54, 'load_data');

$new_path_array[1]['name'] = $row_shop['shop_shops_name'];
$new_path_array[1]['link'] = $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=0&shop_shops_id=$shop_shops_id", 65, 'load_data');
$new_path_array[1]['onclick'] = $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=0&shop_shops_id=$shop_shops_id", 65, 'load_data');

if ($path_array)
{
	foreach ($path_array as $key => $value)
	{
		$new_path_array[] = array (
		'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=$key&shop_shops_id=$shop_shops_id", 65, 'load_data'),
		'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=$key&shop_shops_id=$shop_shops_id", 65, 'load_data'),
		'name' => $value);
	}
}

// Если мы пришли сюда из формы списка модификаций
if (isset($_REQUEST['shop_items_catalog_modification_id']))
{
	$shop_items_catalog_modification_id = to_int($_REQUEST['shop_items_catalog_modification_id']);

	// Получаем имя товара, от которого пришли
	$row = $shop->GetItem($shop_items_catalog_modification_id);

	$new_path_array[] = array("name" => sprintf($GLOBALS['MSG_shops']['item_modification_title'], $row['shop_items_catalog_name']),
	"link" => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', "&shop_shops_id=$shop_shops_id&shop_groups_parent_id=$shop_groups_parent_id&shop_items_catalog_modification_id=$shop_items_catalog_modification_id", 81, 'load_data'),
	"onclick" => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', "&shop_shops_id=$shop_shops_id&shop_groups_parent_id=$shop_groups_parent_id&shop_items_catalog_modification_id=$shop_items_catalog_modification_id", 81, 'load_data')
	);
}

$res_s = $shop->getshop($shop_shops_id);

$form_params['path_array'] = $new_path_array;

$admin_forms_fields->admin_forms_fields($form_params);

$DataBase = & singleton('DataBase');

// Параметры.
$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab_shop']);

$date_time = & singleton('DateClass');

// Редактирование товара
if ($edit_items_catalog_id)
{
	$param_cache_off = array();

	$param_cache_off['cache_off'] = true;

	$result = $shop->GetItem($edit_items_catalog_id, $param_cache_off);

	$items_catalog_name = $result['shop_items_catalog_name'];

	$items_catalog_marking = $result['shop_items_catalog_marking'];

	$shop_items_catalog_date_time = $date_time->datetime_format(date($result['shop_items_catalog_date_time']));

	$items_catalog_description = $result['shop_items_catalog_description'];

	$items_catalog_text = $result['shop_items_catalog_text'];

	$shop_sallers_id = $result['shop_sallers_id'];

	$items_catalog_weight = $result['shop_items_catalog_weight'];

	$items_catalog_image = $result['shop_items_catalog_image'];

	$shop_watermark_default_position_x = $res_s['shop_watermark_default_position_x'];

	$shop_watermark_default_position_y = $res_s['shop_watermark_default_position_y'];

	$items_image_is_use_watermark_small = 0;

	$items_catalog_path = $result['shop_items_catalog_path'];

	$items_catalog_producers = $result['shop_producers_list_id'];

	$items_catalog_rest = $result['shop_items_catalog_rest'];

	$items_catalog_mesure = $result['shop_mesures_id'];

	$items_catalog_order = $result['shop_items_catalog_order'];

	$items_catalog_indexation = $result['shop_items_catalog_indexation'];

	$items_catalog_is_active = $result['shop_items_catalog_is_active'];

	$items_catalog_price = $result['shop_items_catalog_price'];

	$items_catalog_currency = $result['shop_currency_id'];

	$items_catalog_tax = $result['shop_tax_id'];

	$items_catalog_yandex_market_allow = $result['shop_items_catalog_yandex_market_allow'];

	$items_catalog_yandex_market_bid = $result['shop_items_catalog_yandex_market_bid'];

	$items_catalog_yandex_market_cid = $result['shop_items_catalog_yandex_market_cid'];

	$items_catalog_seo_title = $result['shop_items_catalog_seo_title'];

	$items_catalog_seo_description = $result['shop_items_catalog_seo_description'];

	$items_catalog_seo_keywords =$result['shop_items_catalog_seo_keywords'];

	$shop_vendorcode = $result['shop_vendorcode'];

	$items_catalog_small_image = $result['shop_items_catalog_small_image'];

	$shop_items_catalog_rambler_pokupki_allow = $result['shop_items_catalog_rambler_pokupki_allow'];

	$shop_items_catalog_type = $result['shop_items_catalog_type'];

	$shop_items_cml_id = $result['shop_items_cml_id'];

	$shop_items_cml_sales_notes = $result['shop_items_catalog_yandex_market_sales_notes'];

	$shop_items_catalog_putoff_date = $date_time->datetime_format($result['shop_items_catalog_putoff_date']);

	$shop_items_catalog_putend_date = $date_time->datetime_format($result['shop_items_catalog_putend_date']);


	// Если картинка пуста, берем настройки картинки из настроек магазина, иначе из настроек самого товара

	if ($items_catalog_image != '')
	{
		$shop_image_big_max_width = $result['shop_items_catalog_big_image_width'];

		$shop_image_big_max_height = $result['shop_items_catalog_big_image_height'];
	}
	else
	{
		$shop_image_big_max_width = $res_s['shop_image_big_max_width'];

		$shop_image_big_max_height = $res_s['shop_image_big_max_height'];
	}

	if ($items_catalog_small_image != '')
	{
		$shop_image_small_max_width = $result['shop_items_catalog_small_image_width'];

		$shop_image_small_max_height = $result['shop_items_catalog_small_image_height'];
	}
	else
	{
		$shop_image_small_max_width = $res_s['shop_image_small_max_width'];

		$shop_image_small_max_height = $res_s['shop_image_small_max_height'];
	}

	$shop_groups_parent_id = $result['shop_groups_id'];

	$shop_items_catalog_show_count = $result['shop_items_catalog_show_count'];

	$site_users_id = $result['site_users_id'];
}
// Добавление товара
else
{
	$items_catalog_name = '';

	$items_catalog_marking = '';

	$shop_items_catalog_date_time = date("d.m.Y H:i:s");

	$shop_items_catalog_putoff_date = date("d.m.Y H:i:s");

	$shop_items_catalog_putend_date = 'Не определена';

	$items_catalog_description = '';

	$items_catalog_text = '';

	$shop_sallers_id = 0;

	$items_catalog_weight = '0.00';

	$items_catalog_image = '';

	$shop_watermark_default_position_x = $res_s['shop_watermark_default_position_x'];

	$shop_watermark_default_position_y = $res_s['shop_watermark_default_position_y'];

	$items_image_is_use_watermark_small = 0;

	$items_catalog_path = '';

	$items_catalog_producers = 0;

	$items_catalog_rest = 1;

	$items_catalog_mesure = 0;

	$items_catalog_order = '';

	$items_catalog_indexation = 1;

	$items_catalog_is_active = 1;

	$items_catalog_price = '';

	$items_catalog_currency = 0;

	$items_catalog_tax = 0;

	$items_catalog_yandex_market_allow = 1;

	$items_catalog_yandex_market_bid = 0;

	$items_catalog_yandex_market_cid = 0;

	$items_catalog_seo_title = '';

	$items_catalog_seo_description = '';

	$items_catalog_seo_keywords = '';

	$shop_vendorcode = '';

	$items_catalog_small_image =  '';

	$shop_items_catalog_rambler_pokupki_allow = 1;

	$shop_items_catalog_type = 0;

	$shop_items_cml_id = '';

	$shop_items_cml_sales_notes = '';

	$shop_image_small_max_width = $res_s['shop_image_small_max_width'];

	$shop_image_small_max_height = $res_s['shop_image_small_max_height'];

	$shop_image_big_max_width = $res_s['shop_image_big_max_width'];

	$shop_image_big_max_height = $res_s['shop_image_big_max_height'];

	$shop_items_catalog_show_count = 0;

	$site_users_id = 0;
}

$arr = array();
$arr[0] = ' ... ';
$mas = array();
$shop->mas_groups = array();
$mas = $shop->GetDelimitedGroups(0, $shop_shops_id, "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");

$mas_count = count($mas);

for ($i = 0; $i < $mas_count; $i++)
{
	$arr[$mas[$i]['shop_groups_id']] = $mas[$i]['separator'].$mas[$i]['shop_groups_name'];
}

// Название
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_name';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_name'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_name;
$param['attributes']['class'] = 'large';
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 255;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);


// Выбор типа товара (0 - обычный, 1 - электронный товар)
$arrs = array(0=>$GLOBALS['MSG_shops']['item_type_selection_group_buttons_name_simple'], 1=>$GLOBALS['MSG_shops']['item_type_selection_group_buttons_name_electronic']);
$params = array();
$params['tab_id'] = $tab_id;
$params['html_id'] = 'shop_items_catalog_type';
$params['name'] = 'shop_items_catalog_type';
$params['caption'] = $GLOBALS['MSG_shops']['item_type_selection_group_buttons_name'];
$params['type'] = 13; // радиокнопки
$params['value'] = $shop_items_catalog_type;
$params['options']['count'] = 2;
$params['options']['labels'] = $arrs;
$params['options']['input_text'] = -1;
$params['options']['index'] = array(0 => 0, 1 => 1);

$shop = new shop();

$result_eitem = $shop->GetEitemsForItem($edit_items_catalog_id);

if (mysql_num_rows($result_eitem) != 0)
{
	$params['options']['onclick'] = "ShowAttentionWindow(%ext_name%)";
	$params['options']['ext_name'] = array(0 => 0, 1 => 1);
}

$admin_forms_fields->AddField($params);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Форматы
$tab_id_formats = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab_formats']);

// Максимальная ширина малого изображения
$param = array();
$param['tab_id'] = $tab_id_formats;
$param['name'] = 'shop_image_small_max_width';
$param['caption'] = $GLOBALS['MSG_shops']['shops_form_image_small_max_width'];
$param['type'] = 0; // Текстовое поле
$param['value'] = $shop_image_small_max_width;
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 5;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id_formats);

// Максималная высота малого изображения
$param = array();
$param['tab_id'] = $tab_id_formats;
$param['name'] = 'shop_image_small_max_height';
$param['caption'] = $GLOBALS['MSG_shops']['shops_form_image_small_max_height'];
$param['type'] = 0; // Текстовое поле
$param['value'] = $shop_image_small_max_height;
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 5;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id_formats);

// Максималная ширина большого изображения
$param = array();
$param['tab_id'] = $tab_id_formats;
$param['name'] = 'shop_image_big_max_width';
$param['caption'] = $GLOBALS['MSG_shops']['shops_form_image_big_max_width'];
$param['type'] = 0; // Текстовое поле
$param['value'] = $shop_image_big_max_width;
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 5;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id_formats);

// Максималная высота большого изображения
$param = array();
$param['tab_id'] = $tab_id_formats;
$param['name'] = 'shop_image_big_max_height';
$param['caption'] = $GLOBALS['MSG_shops']['shops_form_image_big_max_height'];
$param['type'] = 0; // Текстовое поле
$param['value'] = $shop_image_big_max_height;
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 5;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id_formats);

// Группа
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_groups_parent_id2';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_group'];
$param['type'] = 2; // выпадающий список
$param['items'] = $arr;
$param['value'] = $shop_groups_parent_id;

$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Артикул
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_marking';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_marking'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_marking;
$param['format']['maxlen']['value'] = 50;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Дата
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_items_catalog_date_time';
$param['html_id'] = 'shop_items_catalog_date_time';
$param['caption'] = $GLOBALS['MSG_shops']['catalog_item_date'];
$param['type'] = 11; // date-time
$param['value'] = $shop_items_catalog_date_time;
$param['format']['maxlen']['value'] = 255;
$param['div_attributes']['style'] = 'float: left; margin-top: 5px';
$admin_forms_fields->AddField($param);

// Дата публикации
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_items_catalog_putoff_date';
$param['html_id'] = 'shop_items_catalog_putoff_date';
$param['caption'] = $GLOBALS['MSG_shops']['catalog_item_put_off'];
$param['type'] = 11; // date-time
$param['value'] = $shop_items_catalog_putoff_date;
$param['format']['maxlen']['value'] = 255;
$param['div_attributes']['style'] = 'float: left; margin-top: 5px';
$admin_forms_fields->AddField($param);

// Дата окончания публикации
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_items_catalog_putend_date';
$param['html_id'] = 'shop_items_catalog_putend_date';
$param['caption'] = $GLOBALS['MSG_shops']['catalog_item_put_end'];
$param['type'] = 11; // date-time
$param['value'] = $shop_items_catalog_putend_date;
$param['format']['maxlen']['value'] = 255;
$param['div_attributes']['style'] = 'float: left; margin-top: 5px';
$admin_forms_fields->AddField($param);

// Счетчик показов
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_items_catalog_show_count';
$param['html_id'] = 'shop_items_catalog_show_count';
$param['caption'] = $GLOBALS['MSG_shops']['shop_items_catalog_show_count'];
$param['type'] = 0; // поле ввода
$param['value'] = $shop_items_catalog_show_count;
$param['format']['maxlen']['value'] = 255;
$param['div_attributes']['style'] = 'float: left; margin-top: 5px; width: 100px; margin-right: 10px;';
$admin_forms_fields->AddField($param);

// Идентификатор пользователя сайта
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'site_users_id';
$param['caption'] = $GLOBALS['MSG_shops']['site_users_id'];
$param['type'] = 0; // Поле ввода.
$param['value'] = $site_users_id;
$param['format']['lib']['value'] = "integer";
$param['div_attributes']['style'] = 'float: left; margin-top: 5px; width: 110px';
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

$arr = array();
$arr[0] = ' ... ';
$result = $shop->GetAllSellers($shop_shops_id);
$count_sellers = 0;
if ($result)
{
	$count_sellers = mysql_num_rows($result);
}
for ($i = 0; $i < $count_sellers; $i++)
{
	$row = mysql_fetch_assoc($result);
	$arr[$row['shop_sallers_id']] = htmlspecialchars($row['shop_sallers_name']);
}

// Продавец
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_sallers_id';
$param['caption'] = $GLOBALS['MSG_shops']['form_sellers_name'];
$param['type'] = 2; // выпадающий список
$param['items'] = $arr;
$param['value'] = $shop_sallers_id;

$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);


// Получаем список производителей
$shop_producers_list_resource = $shop->GetAllProducers(array('shop_id' => $shop_shops_id));

$arr = array();

$arr[0] = ' ... ';

while ($row = mysql_fetch_assoc($shop_producers_list_resource))
{
	$arr[$row['shop_producers_list_id']] = $row['shop_producers_list_name'];
}

// Производитель
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_producers';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_producer'];
$param['type'] = 2; // groupbox
$param['items'] = $arr;
$param['value'] = $items_catalog_producers;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

$param['options'] = array();

// Изображение группы
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_image';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_image'];
$param['type'] = 9; // file

// Параметры
$param['options']['make_small_image_from_big_show'] = 1; // отображать ли checkbox с подписью "Создать малое изображение из большого" (1 -  отображать (по умолчанию), 0 - не отображать);
$param['options']['make_small_image_from_big_checked'] = 1; // вид отображения checkbox'а с подписью "Создать малое изображение из большого" выбранным (1 -  отображать выбранным (по умолчанию), 0 - невыбранным);

$param['options']['load_small_image_caption'] = $GLOBALS['MSG_shops']['items_catalog_image_small'];

$param['options']['load_small_image_show'] = 1; //- отображать ли поле загрузки малого изображения (1 -  отображать (по умолчанию), 0 - не отображать);

$param['options']['image_big_max_width'] = $shop_image_big_max_width; // значение максимальной ширины большого изображения;
$param['options']['image_big_max_height'] = $shop_image_big_max_height; // значение максимальной высоты большого изображения;

$param['options']['image_small_max_width'] = $shop_image_small_max_width; // значение максимальной ширины малого изображения;
$param['options']['image_small_max_height'] = $shop_image_small_max_height; // значение максимальной высоты малого изображения;

$param['options']['used_watermark_big_image_show'] = 1; // отображать ли checkbox с подписью "Наложить водяной знак на большое изображение" (1 -  отображать (по умолчанию), 0 - не отображать);
$param['options']['used_watermark_big_image_checked'] = to_int($res_s['shop_watermark_default_use_big']); // вид ображения checkbox'а с подписью "Наложить водяной знак на большое изображение" (1 -  отображать выбранным (по умолчанию), 0 - невыбранным);

$param['options']['watermark_position_x'] = $shop_watermark_default_position_x; //значение поля ввода с подписью "По оси X"
$param['options']['watermark_position_y'] = $shop_watermark_default_position_y; // значение поля ввода с подписью "По оси Y"

$param['options']['used_watermark_small_image_show'] = 1; //  отображать ли checkbox с подписью "Наложить водяной знак на малое изображение" (1 -  отображать (по умолчанию), 0 - не отображать);
$param['options']['used_watermark_small_image_checked'] = to_int($res_s['shop_watermark_default_use_small']); // вид ображения checkbox'а с подписью "Наложить водяной знак на малое изображение" (1 -  отображать выбранным (по умолчанию), 0 - невыбранным);

if (isset($items_catalog_image) && $items_catalog_image != '')
{
	$param['options']['big_image_path'] = '/'.UPLOADDIR.'shop_'.$shop_shops_id.'/item_catalog_'.$edit_items_catalog_id.'/'.urlencode($items_catalog_image); // адрес большого загруженного изображения
	$param['options']['href_delete_big_image'] = "javascript:void(0)";
	// Значение для onclick
	$param['options']['onclick_delete_big_image'] = "sendRequest('/admin/shop/shop.php?action=shop_item_big_image&item_id=$edit_items_catalog_id&shop_shops_id=$shop_shops_id', 'get', callback_function_exec_from_return); return false;";
}
else
{
	$param['options']['big_image_path'] = '';
}

if (isset($items_catalog_small_image) && $items_catalog_small_image != '')
{
	$param['options']['small_image_path'] = '/'.UPLOADDIR.'shop_'.$shop_shops_id.'/item_catalog_'.$edit_items_catalog_id.'/'.urlencode($items_catalog_small_image); // адрес малого загруженного изображения
	$param['options']['href_delete_small_image'] = "javascript:void(0)";
	// Значение для onclick
	$param['options']['onclick_delete_small_image'] = "sendRequest('/admin/shop/shop.php?action=shop_item_small_image&item_id=$edit_items_catalog_id&shop_shops_id=$shop_shops_id', 'get', callback_function_exec_from_return); return false;";
}
else
{
	$param['options']['small_image_path'] = '';
}

$admin_forms_fields->AddField($param);


// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Вес
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_weight';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_ves'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_weight;
$param['format']['minlen']['value'] = 1;
$param['format']['maxlen']['value'] = 10;
$param['format']['lib']['value'] = 'decimal';
$param['format']['lib']['message'] = 'Указаны недопустимые символы (разрешенный диапазон символов 0-9 и символ ".")';
$param['attributes']['style'] = 'width: 75px;';
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Получаем меру для магазина
$shop_mesures = $shop->GetMesure($res_s['shop_mesures_id']);

// Единица измерения веса
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = '';
$param['caption'] = '&nbsp;';
$param['type'] = 8; // вывод текста
$param['value'] = to_str($shop_mesures['shop_mesures_name']);
$param['attributes']['style'] = 'width: 100px;';
$param['div_attributes']['style'] = 'float: left; margin-top: 5px';
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Цена товара
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_price';
$param['html_id'] = 'items_catalog_price';
$param['caption'] = $GLOBALS['MSG_shops']['shop_order_items_price'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_price;
$param['format']['lib']['value'] = 'decimal';
$param['format']['lib']['message'] = 'Указаны недопустимые символы (разрешенный диапазон символов 0-9 а также символ ".")';
$param['format']['maxlen']['value'] = 255;
$param['attributes']['style'] = 'width: 75px;';
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Получаем список валют
$arr = array();

$currency = $shop->GetAllCurrency();

while ($row = mysql_fetch_assoc($currency))
{
	$arr[$row['shop_currency_id']] = $row['shop_currency_name'];
}

// Если при добавлении товара валюта = 0, то поставим в качестве текущей валюты ту, что указана для магазина
if ($items_catalog_currency == 0)
{
	$items_catalog_currency = to_int($row_shop['shop_currency_id']);
}

// Валюты
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_currency';
$param['caption'] = '&nbsp;';
$param['type'] = 2; // groupbox
$param['items'] = $arr;
$param['value'] = $items_catalog_currency;
$param['attributes']['style'] = 'width: 100px;';
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Получаем данные о дополнительных ценах на товар
$array_of_extarnal_prices = $shop->GetAllPricesForShop($shop_shops_id);
if ($array_of_extarnal_prices)
{
	if (mysql_num_rows($array_of_extarnal_prices) != 0)
	{
		$param = array();
		$param['tab_id'] = $tab_id;
		$param['name'] = '';
		$param['caption'] = '';
		$param['type'] = 15; // AS IS
		$param['value'] = '<table border="0" cellpadding="0" cellspacing="0">';
		$admin_forms_fields->AddField($param);
	}

	while ($row = mysql_fetch_assoc($array_of_extarnal_prices))
	{
		$param = array();
		$param['tab_id'] = $tab_id;
		$param['name'] = '';
		$param['caption'] = '';
		$param['type'] = 15; // AS IS
		$param['value'] = '<tr><td>';
		$admin_forms_fields->AddField($param);

		$price = $shop->GetPriceForItem($row['shop_list_of_prices_id'], $edit_items_catalog_id);

		// Дополнительная цена товара (флажок)
		$param = array();
		$param['tab_id'] = $tab_id;
		$param['name'] = 'prices_to_item_'.$row['shop_list_of_prices_id'];
		$param['html_id'] = 'check_prices_to_item_'.$row['shop_list_of_prices_id'];
		$param['caption'] = $row['shop_list_of_prices_name'];
		$param['type'] = 1; // Флажок
		$param['value'] = ($price['shop_prices_to_item_value'] == '') ? 0 : 1;
		$param['div_attributes']['style'] = 'float: left;';
		$param['attributes']['onclick'] = "document.getElementById('value_prices_to_item_{$row['shop_list_of_prices_id']}').disabled = !this.checked; if (this.checked) {document.getElementById('value_prices_to_item_{$row['shop_list_of_prices_id']}').value = (document.getElementById('items_catalog_price').value * {$row['shop_list_of_prices_percent_to_basic']} / 100).toFixed(2);}";
		$admin_forms_fields->AddField($param);

		$param = array();
		$param['tab_id'] = $tab_id;
		$param['name'] = '';
		$param['caption'] = '';
		$param['type'] = 15; // AS IS
		$param['value'] = '</td><td>';
		$admin_forms_fields->AddField($param);

		$param = array();
		$param['tab_id'] = $tab_id;
		$param['name'] = 'value_prices_to_item_'.$row['shop_list_of_prices_id'];
		$param['html_id'] = 'value_prices_to_item_'.$row['shop_list_of_prices_id'];
		$param['type'] = 0; // Поле ввода
		$param['value'] = ($price['shop_prices_to_item_value'] == '') ? '0.00' : $price['shop_prices_to_item_value'];
		$param['format']['lib']['value'] = 'decimal';
		$param['attributes']['style'] = 'width: 100px;';
		$param['div_attributes']['style'] = 'float: left;';
		$admin_forms_fields->AddField($param);

		// Выключаем поля, если checkbox-ы сняты
		if ($price['shop_prices_to_item_value'] == '')
		{
			$param = array();
			$param['tab_id'] = $tab_id;
			$param['name'] = '';
			$param['caption'] = '';
			$param['type'] = 15; // AS IS
			$param['value'] = "<script>document.getElementById('value_prices_to_item_{$row['shop_list_of_prices_id']}').disabled = 1</script>";
			$admin_forms_fields->AddField($param);
		}

		$param = array();
		$param['tab_id'] = $tab_id;
		$param['name'] = '';
		$param['caption'] = '';
		$param['type'] = 15; // AS IS
		$param['value'] = '</td></tr>';
		$admin_forms_fields->AddField($param);

		// Разделитель.
		//$admin_forms_fields->AddSeparator($tab_id);
	}

	if (mysql_num_rows($array_of_extarnal_prices) != 0)
	{
		// Дополнительная цена товара (флажок)
		$param = array();
		$param['tab_id'] = $tab_id;
		$param['name'] = '';
		$param['caption'] = '';
		$param['type'] = 15; // AS IS
		$param['value'] = '</table>';
		//$param['div_attributes']['style'] = 'float: left;';
		$admin_forms_fields->AddField($param);
	}
}

// Получаем список налогов
$arr = array();

$arr[0] = ' ... ';

$tax = $shop->GetAllTax();

while ($row = mysql_fetch_assoc($tax))
{
	$arr[$row['shop_tax_id']] = $row['shop_tax_name'];
}

// Налог
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_tax';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_tax'];
$param['type'] = 2; // groupbox
$param['items'] = $arr;
$param['value'] = $items_catalog_tax;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Количество
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_rest';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_rest'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_rest;
$param['attributes']['style'] = 'width: 75px;';
$param['div_attributes']['style'] = 'float: left;';
$param['format']['lib']['value'] = 'integer';
$param['format']['lib']['message'] = 'Указаны недопустимые символы (разрешенный диапазон символов 0-9)';
$param['format']['maxlen']['value'] = 11;
$admin_forms_fields->AddField($param);

// Плучаем список мер
$arr = array();

$arr[0] = ' ... ';

$mesures = $shop->GetAllMesures();

while ($row = mysql_fetch_assoc($mesures))
{
	$arr[$row['shop_mesures_id']] = $row['shop_mesures_name'];
}

// Количество (поле выбора типа)
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_mesure';
$param['caption'] = '&nbsp;';
$param['type'] = 2; // groupbox
$param['items'] = $arr;
$param['value'] = $items_catalog_mesure;
$param['attributes']['style'] = 'width: 100px;';
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Путь
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_path';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_path'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_path;
$param['format']['lib']['value'] = 'path';
$param['format']['lib']['message'] = 'Указаны недопустимые символы (разрешенный диапазон символов a-z, A-Z, 0-9, символ "_" и "-")';
$param['format']['maxlen']['value'] = 255;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Порядок сортировки
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_order';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_order'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_order;
$param['format']['lib']['value'] = 'integer';
$param['format']['lib']['message'] = 'Указаны недопустимые символы (разрешенный диапазон символов 0-9)';
$param['format']['maxlen']['value'] = 255;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Индексация
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_indexation';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_indexation'];
$param['type'] = 1; // checkbox
$param['value'] = $items_catalog_indexation;
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Активность
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_is_active';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_is_active'];
$param['type'] = 1; // checkbox
$param['value'] = $items_catalog_is_active;
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);


$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab_description']);

// Описание
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_description';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_description'];
$param['template'] = $template_id; // ID шаблона
$param['type'] = 7; // Визуальный редактор
$param['value'] = $items_catalog_description;

$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Текст
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_text';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_add_form_text'];
$param['template'] = $template_id; // ID шаблона
$param['type'] = 7; // Визуальный редактор
$param['value'] = $items_catalog_text;

$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Типографировать текст
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'use_typograph_for_text';
$param['caption'] = $GLOBALS['MSG_shops']['exec_typograph_for_text'];
$param['type'] = 1; // checkbox
$param['value'] = $res_s['shop_typograph_item_by_default'];
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

// Оптическое выравнивание
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'trailing_punctuation_for_text';
$param['caption'] = $GLOBALS['MSG_shops']['use_trailing_punctuation_for_prop'];
$param['type'] = 1; // checkbox
$param['value'] = 1;
$param['div_attributes']['style'] = 'float: left;';
$admin_forms_fields->AddField($param);

$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab_yandex_market']);

// Экспорт в Яндекс-маркет
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_yandex_market_allow';
$param['caption'] = $GLOBALS['MSG_shops']['yandex_market_allow'];
$param['type'] = 1; // checkbox
$param['value'] = $items_catalog_yandex_market_allow;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Экспорт в Рамблер - Покупки
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_items_catalog_rambler_pokupki_allow';
$param['caption'] = $GLOBALS['MSG_shops']['rambler_pokupki_checkbox'];
$param['type'] = 1; // checkbox
$param['value'] = $shop_items_catalog_rambler_pokupki_allow;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Код производителя
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_vendorcode';
$param['caption'] = $GLOBALS['MSG_shops']['shop_items_catalog_vendorCode'];
$param['type'] = 0; // textbox
$param['value'] = $shop_vendorcode;
$param['format']['maxlen']['value'] = 255;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Яндекс.Маркет - основная расценка
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_yandex_market_bid';
$param['caption'] = $GLOBALS['MSG_shops']['yandex_market_bid'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_yandex_market_bid;
$param['format']['lib']['value'] = 'integer';
$param['format']['lib']['message'] = 'Указаны недопустимые символы (разрешенный диапазон символов 0-9)';
$param['format']['maxlen']['value'] = 11;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Яндекс.Маркет - расценка для карточек моделей
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_yandex_market_cid';
$param['caption'] = $GLOBALS['MSG_shops']['yandex_market_cid'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_yandex_market_cid;
$param['format']['lib']['value'] = 'integer';
$param['format']['lib']['message'] = 'Указаны недопустимые символы (разрешенный диапазон символов 0-9)';
$param['format']['maxlen']['value'] = 11;
$admin_forms_fields->AddField($param);


// Идентификатор товара для системы CommerceML
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_items_cml_id';
$param['caption'] = $GLOBALS['MSG_shops']['1с_commerce_ml'];
$param['type'] = 0; // textbox
$param['value'] = $shop_items_cml_id;
$param['format']['maxlen']['value'] = 12;
$admin_forms_fields->AddField($param);

// Отличие товара от других
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_items_cml_sales_notes';
$param['caption'] = $GLOBALS['MSG_shops']['yandex_market_sales_notes'];
$param['type'] = 0; // textbox
$param['value'] = $shop_items_cml_sales_notes;
$param['format']['maxlen']['value'] = 50;
$admin_forms_fields->AddField($param);

// Разделитель.
$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab_seo']);

// Заголовок
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_seo_title';
$param['caption'] = $GLOBALS['MSG_shops']['groups_add_form_seo_title'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_seo_title;
$param['format']['maxlen']['value'] = 255;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Описание
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_seo_description';
$param['caption'] = $GLOBALS['MSG_shops']['groups_add_form_seo_description'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_seo_description;
$param['format']['maxlen']['value'] = 255;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Ключевые слова
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_seo_keywords';
$param['caption'] = $GLOBALS['MSG_shops']['groups_add_form_seo_keywords'];
$param['type'] = 0; // textbox
$param['value'] = $items_catalog_seo_keywords;
$param['format']['maxlen']['value'] = 255;
$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);


// Метки.
$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab_tags']);

// Метки
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'items_catalog_tags';
$param['caption'] = $GLOBALS['MSG_shops']['items_catalog_tags'];
$param['type'] = 0; // Поле ввода

// Если редактируем
if ($edit_items_catalog_id)
{
	if (class_exists('Tag'))
	{
		$oTag = & singleton('Tag');

		$tags_array = $oTag->GetTagRelation(array('shop_items_catalog_item_id' => $edit_items_catalog_id));

		$mytags = array();

		if ($tags_array)
		{
			foreach ($tags_array as $tag)
			{
				$mytags[] = $tag['tag_name'];
			}
		}

		$items_catalog_tags = implode(', ', $mytags);
	}
	else
	{
		$items_catalog_tags = '';
	}
}
else
{
	$items_catalog_tags = '';
}

$param['value'] = $items_catalog_tags;
$param['format']['maxlen']['value'] = 255;
$admin_forms_fields->AddField($param);

// Получаем список специальных цен для товара
$item_special_prices_res = $shop->GetAllSpecialPricesForItem($edit_items_catalog_id);

// Спеццены.
$tab_id_spec_prices = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['special_prices_tab']);

// поле "как есть", открытие div-а
$param = array();
$param['tab_id'] = $tab_id_spec_prices;
$param['name'] = '';
$param['caption'] = '';
$param['type'] = 15; // как есть
$param['value'] = '<div>';
$param['div_attributes']['id'] = 'special_prices';
$admin_forms_fields->AddField($param);

if ($item_special_prices_res)
{
	while ($item_special_prices_row = mysql_fetch_assoc($item_special_prices_res))
	{
		// Разделитель.
		$admin_forms_fields->AddSeparator($tab_id);

		// Минимальное число товара, после покупки которого за один раз, цена начинает работать
		$param = array();
		$param['tab_id'] = $tab_id_spec_prices;
		$param['name'] = 'shop_special_prices_from_' . $item_special_prices_row['shop_special_prices_id'];
		$param['caption'] = $GLOBALS['MSG_shops']['form_edit_add_shop_special_prices_from'];
		$param['type'] = 0; // textbox
		$param['value'] = $item_special_prices_row['shop_special_prices_from'];
		$param['format']['maxlen']['value'] = 11;
		$param['attributes']['style'] = 'width: 120px;';
		$param['div_attributes']['style'] = 'float: left;';
		$param['format']['lib']['value'] = 'integer';
		$admin_forms_fields->AddField($param);

		// Разделитель.
		//		$admin_forms_fields->AddSeparator($tab_id);

		// Максимальное число товара, после покупки которого за один раз, цена начинает работать
		$param = array();
		$param['tab_id'] = $tab_id_spec_prices;
		$param['name'] = 'shop_special_prices_to_' . $item_special_prices_row['shop_special_prices_id'];
		$param['caption'] = $GLOBALS['MSG_shops']['form_edit_add_shop_special_prices_to'];
		$param['type'] = 0; // textbox
		$param['value'] = $item_special_prices_row['shop_special_prices_to'];
		$param['format']['maxlen']['value'] = 11;
		$param['attributes']['style'] = 'width: 120px;';
		$param['div_attributes']['style'] = 'float: left;';
		$param['format']['lib']['value'] = 'integer';
		$admin_forms_fields->AddField($param);

		// Разделитель.
		//		$admin_forms_fields->AddSeparator($tab_id);

		// Цена
		$param = array();
		$param['tab_id'] = $tab_id_spec_prices;
		$param['name'] = 'shop_special_prices_price_' . $item_special_prices_row['shop_special_prices_id'];
		$param['caption'] = $GLOBALS['MSG_shops']['form_edit_add_shop_special_pricess_price'];
		$param['type'] = 0; // textbox
		$param['value'] = $item_special_prices_row['shop_special_prices_price'];
		//			$param['format']['maxlen']['value'] = 11;
		$param['attributes']['style'] = 'width: 120px;';
		//		$param['div_attributes']['style'] = 'float: left;';
		$param['format']['lib']['value'] = 'decimal';
		$admin_forms_fields->AddField($param);
	}


}
else
{
	// Разделитель.
	$admin_forms_fields->AddSeparator($tab_id);

	// Минимальное число товара, после покупки которого за один раз, цена начинает работать
	$param = array();
	$param['tab_id'] = $tab_id_spec_prices;
	$param['name'] = 'shop_special_prices_from_0';
	$param['caption'] = $GLOBALS['MSG_shops']['form_edit_add_shop_special_prices_from'];
	$param['type'] = 0; // textbox
	$param['value'] = '';
	$param['format']['maxlen']['value'] = 11;
	$param['attributes']['style'] = 'width: 120px;';
	$param['div_attributes']['style'] = 'float: left;';
	$param['format']['lib']['value'] = 'integer';
	$admin_forms_fields->AddField($param);

	// Максимальное число товара, после покупки которого за один раз, цена начинает работать
	$param = array();
	$param['tab_id'] = $tab_id_spec_prices;
	$param['name'] = 'shop_special_prices_to_0';
	$param['caption'] = $GLOBALS['MSG_shops']['form_edit_add_shop_special_prices_to'];
	$param['type'] = 0; // textbox
	$param['value'] = '';
	$param['format']['maxlen']['value'] = 11;
	$param['attributes']['style'] = 'width: 120px;';
	$param['div_attributes']['style'] = 'float: left;';
	$param['format']['lib']['value'] = 'integer';
	$admin_forms_fields->AddField($param);

	// Цена
	$param = array();
	$param['tab_id'] = $tab_id_spec_prices;
	$param['name'] = 'shop_special_prices_price_0';
	$param['caption'] = $GLOBALS['MSG_shops']['form_edit_add_shop_special_pricess_price'];
	$param['type'] = 0; // textbox
	$param['value'] = '';
	$param['format']['maxlen']['value'] = 11;
	$param['attributes']['style'] = 'width: 120px;';
	//		$param['div_attributes']['style'] = 'float: left;';
	$param['format']['lib']['value'] = 'decimal';
	$admin_forms_fields->AddField($param);


	// Разделитель.
	$admin_forms_fields->AddSeparator($tab_id);
}

// Ссылку на "Еще" добавляем только для последней цены
// Разделитель.
$admin_forms_fields->AddSeparator($tab_id_spec_prices);

// поле "как есть"
$param = array();
$param['tab_id'] = $tab_id_spec_prices;
$param['name'] = '';
$param['caption'] = '';
$param['type'] = 15; // как есть
$param['value'] = '<a href="javascript:void(0)" onclick="javascript:AddSpecialPricesFields(\'special_prices\')">' . $GLOBALS['MSG_shops']['special_prices_add_fields'] . '&#8230;</a>';
//$param['div_attributes']['style'] = 'margin-top: 50px';
$admin_forms_fields->AddField($param);

// поле "как есть", закрытие div-а
$param = array();
$param['tab_id'] = $tab_id_spec_prices;
$param['name'] = '';
$param['caption'] = '';
$param['type'] = 15; // как есть
$param['value'] = '</div>';
$admin_forms_fields->AddField($param);


// Редактирование товара
if ($edit_items_catalog_id > 0)
{
	$query = "SELECT shop_list_of_properties_table.*, shop_list_of_properties_table.shop_list_of_properties_id AS field_name, shop_properties_items_table.shop_items_catalog_item_id, shop_properties_items_table.shop_properties_items_id, shop_properties_items_table.shop_properties_items_value, shop_properties_items_table.shop_properties_items_file, shop_properties_items_table.shop_properties_items_value_small, shop_properties_items_table.shop_properties_items_file_small,
shop_properties_item_for_groups_table.shop_groups_id

FROM shop_list_of_properties_table
LEFT JOIN shop_properties_items_table
ON (shop_properties_items_table.shop_list_of_properties_id = shop_list_of_properties_table.shop_list_of_properties_id AND (
(shop_properties_items_table.shop_items_catalog_item_id='$edit_items_catalog_id') OR (shop_properties_items_table.shop_items_catalog_item_id is null) ) )

LEFT JOIN shop_properties_item_for_groups_table
ON (shop_properties_item_for_groups_table.shop_list_of_properties_id=shop_list_of_properties_table.shop_list_of_properties_id)

WHERE shop_list_of_properties_table.shop_shops_id='$shop_shops_id'
AND shop_properties_item_for_groups_table.shop_groups_id='$shop_groups_parent_id'
OR shop_properties_items_table.shop_properties_items_value != '' GROUP BY shop_list_of_properties_table.shop_list_of_properties_id ORDER BY  shop_list_of_properties_table.shop_list_of_properties_order";
}
else // Добавление товара
{
	// Выбираем все свойства, относящиеся к данному товару со значениями по умолчанию
	$query = "SELECT *, shop_list_of_properties_table.shop_list_of_properties_id AS field_name
	FROM shop_list_of_properties_table, shop_properties_item_for_groups_table 
	WHERE shop_list_of_properties_table.shop_shops_id='$shop_shops_id' 
	AND shop_properties_item_for_groups_table.shop_list_of_properties_id=shop_list_of_properties_table.shop_list_of_properties_id  
	AND shop_groups_id='$shop_groups_parent_id'
	ORDER BY  shop_list_of_properties_order";
}

$res = $DataBase->select($query);

$arr = array();

$ext_prop_table = array();

$count_rows = $DataBase->get_count_row();

if (to_int($count_rows) > 0)
{
	// Вкладка для дополнительных свойств
	$tab2_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['items_catalog_add_form_additional_titleform']);

	// Начинаем обработку данных из БД
	for ($i = 0; $i < $count_rows; $i++)
	{
		$arr = mysql_fetch_assoc($res);

		// Текущая строка таблицы
		switch (to_int($arr['shop_list_of_properties_type']))
		{
			case 0:// Файл - строка
			{
				if ($edit_items_catalog_id > 0)
				{
					// Дополнительное поле
					$param = array();
					$param['tab_id'] = $tab2_id;
					$param['name'] = 'add_value_'.$arr['field_name'];
					$param['caption'] = $arr['shop_list_of_properties_name'];
					$param['type'] = 0; // Текстбокс
					$param['value'] = $arr['shop_properties_items_value'];
					$param['format']['maxlen']['value'] = 255;
					$admin_forms_fields->AddField($param);

					// Разделитель.
					$admin_forms_fields->AddSeparator($tab_id);
				}
				else
				{
					// Дополнительное поле
					$param = array();
					$param['tab_id'] = $tab2_id;
					$param['name'] = 'add_value_'.$arr['field_name'];
					$param['caption'] = $arr['shop_list_of_properties_name'];
					$param['type'] = 0; // Текстбокс
					$param['value'] = $arr['shop_list_of_properties_default_value'];
					$param['format']['maxlen']['value'] = 255;
					$admin_forms_fields->AddField($param);

					// Разделитель.
					$admin_forms_fields->AddSeparator($tab_id);
				}
				break;
			}
			case 1:// Список - файл
			{
				// Дополнительное поле
				$param = array();
				$param['tab_id'] = $tab2_id;
				$param['name'] = 'add_value_'.$arr['field_name'];
				$param['caption'] = $arr['shop_list_of_properties_name'];
				$param['type'] = 9; // file
				$param['options']['load_small_image_caption'] = $arr['shop_list_of_properties_name'].' (Малое изображение)';
				// Параметры
				$param['options']['make_small_image_from_big_show'] = 1; // отображать ли checkbox с подписью "Создать малое изображение из большого" (1 -  отображать (по умолчанию), 0 - не отображать);
				$param['options']['make_small_image_from_big_checked'] = 1; // вид отображения checkbox'а с подписью "Создать малое изображение из большого" выбранным (1 -  отображать выбранным (по умолчанию), 0 - невыбранным);

				$param['options']['load_small_image_show'] = 1; //- отображать ли поле загрузки малого изображения (1 -  отображать (по умолчанию), 0 - не отображать);


				// Для настроек изображений дополнительных свойств размеры берем из настроек магазина а не настроек элемента
				$shop_picture_row = $shop->GetShop($shop_shops_id, array('cache_off' => true));

				$shop_image_small_max_width_from_shop = $shop_picture_row['shop_image_small_max_width'];
				$shop_image_big_max_width_from_shop = $shop_picture_row['shop_image_big_max_width'];
				$shop_image_small_max_height_from_shop = $shop_picture_row['shop_image_small_max_height'];
				$shop_image_big_max_height_from_shop = $shop_picture_row['shop_image_big_max_height'];

				$param['options']['image_big_max_width'] = $shop_image_big_max_width_from_shop; // значение максимальной ширины большого изображения;
				$param['options']['image_big_max_height'] = $shop_image_big_max_height_from_shop; // значение максимальной высоты большого изображения;

				$param['options']['image_small_max_width'] = $shop_image_small_max_width_from_shop; // значение максимальной ширины малого изображения;
				$param['options']['image_small_max_height'] = $shop_image_small_max_height_from_shop; // значение максимальной высоты малого изображения;

				$param['options']['used_watermark_big_image_show'] = 1; // отображать ли checkbox с подписью "Наложить водяной знак на большое изображение" (1 -  отображать (по умолчанию), 0 - не отображать);
				$param['options']['used_watermark_big_image_checked'] = to_int($res_s['shop_watermark_default_use_big']); // вид ображения checkbox'а с подписью "Наложить водяной знак на большое изображение" (1 -  отображать выбранным (по умолчанию), 0 - невыбранным);

				$param['options']['watermark_position_x'] = $shop_watermark_default_position_x; //значение поля ввода с подписью "По оси X"
				$param['options']['watermark_position_y'] = $shop_watermark_default_position_y; // значение поля ввода с подписью "По оси Y"

				$param['options']['used_watermark_small_image_show'] = 1; //  отображать ли checkbox с подписью "Наложить водяной знак на малое изображение" (1 -  отображать (по умолчанию), 0 - не отображать);
				$param['options']['used_watermark_small_image_checked'] = to_int($res_s['shop_watermark_default_use_small']); // вид ображения checkbox'а с подписью "Наложить водяной знак на малое изображение" (1 -  отображать выбранным (по умолчанию), 0 - невыбранным);

				if ($edit_items_catalog_id)
				{
					$items_catalog_image_ext = $arr['shop_properties_items_file'];


					$items_catalog_image_advanced_ext = $arr['shop_properties_items_file_small'];
				}
				else
				{
					$items_catalog_image_ext = '';


					$items_catalog_image_advanced_ext = '';
				}


				if (isset($items_catalog_image_ext) && $items_catalog_image_ext != '')
				{
					$param['options']['big_image_path'] = '/'.UPLOADDIR.'shop_'.$shop_shops_id.'/item_catalog_'.$edit_items_catalog_id.'/'.urlencode($items_catalog_image_ext); // адрес большого загруженного изображения

					$item_id = $arr['shop_properties_items_id'];

					$node_id = $arr['field_name'];

					$param['options']['href_delete_big_image'] = "javascript:void(0)";


					// Значение для onclick
					$param['options']['onclick_delete_big_image'] = "sendRequest('/admin/shop/shop.php?action=shop_item_big_image_property&item_id=$item_id&node_id=$node_id&tovar_id=$edit_items_catalog_id&shop_shops_id=$shop_shops_id', 'get', callback_function_exec_from_return); return false;";
				}
				else
				{
					$param['options']['big_image_path'] = '';
				}

				if (isset($items_catalog_image_advanced_ext) && $items_catalog_image_advanced_ext != '')
				{
					$param['options']['small_image_path'] = '/' . UPLOADDIR . 'shop_' . $shop_shops_id . '/item_catalog_' . $edit_items_catalog_id . '/' . urlencode($items_catalog_image_advanced_ext); // адрес малого загруженного изображения


					$item_id = $arr['shop_properties_items_id'];

					$node_id = $arr['field_name'];

					$param['options']['href_delete_small_image'] = "javascript:void(0)";
					// Значение для onclick
					$param['options']['onclick_delete_small_image'] = "sendRequest('/admin/shop/shop.php?action=shop_item_small_image_property&item_id=$item_id&node_id=$node_id&tovar_id=$edit_items_catalog_id&shop_shops_id=$shop_shops_id', 'get', callback_function_exec_from_return); return false;";
				}
				else
				{
					$param['options']['small_image_path'] = '';
				}

				$admin_forms_fields->AddField($param);

				// Разделитель.
				$admin_forms_fields->AddSeparator($tab_id);
				break;
			}
			case 2:// Большое текстовое поле - список
			{
				if (class_exists('lists'))
				{
					$list = & singleton('lists');

					$arrg[$i] = array();

					$arrg[$i][0] = ' ... ';

					// Заполняем список данными из БД
					$res_x = $list->GetListItemsValuesById($arr['lists_id']);

					while ($row = mysql_fetch_assoc($res_x))
					{
						$arrg[$i][$row['lists_items_id']] = $row['lists_items_value'];
					}

					// Дополнительное поле
					$param = array();
					$param['tab_id'] = $tab2_id;
					$param['name'] = 'add_value_'.$arr['field_name'];
					$param['caption'] = $arr['shop_list_of_properties_name'];
					$param['type'] = 2; // Выпадающий список
					$param['value'] = ($edit_items_catalog_id > 0)?$arr['shop_properties_items_value']:$arr['shop_list_of_properties_default_value'];
					$param['items'] = $arrg[$i];
					$admin_forms_fields->AddField($param);

					// Разделитель.
					$admin_forms_fields->AddSeparator($tab_id);
				}
				break;
			}
			case 3:// Визуальный редактор - большое текстовое поле
			{
				if ($edit_items_catalog_id > 0)
				{
					// Дополнительное поле
					$param = array();
					$param['tab_id'] = $tab2_id;
					$param['name'] = 'add_value_'.$arr['field_name'];
					$param['caption'] = $arr['shop_list_of_properties_name'];
					$param['type'] = 5; // Текстовое поле
					$param['value'] = ($edit_items_catalog_id > 0)?$arr['shop_properties_items_value']:$arr['shop_list_of_properties_default_value'];;
					$param['attributes']['rows'] = 10;
					$admin_forms_fields->AddField($param);

					// Разделитель.
					$admin_forms_fields->AddSeparator($tab_id);
				}
				else
				{
					// Дополнительное поле
					$param = array();
					$param['tab_id'] = $tab2_id;
					$param['name'] = 'add_value_'.$arr['field_name'];
					$param['caption'] = $arr['shop_list_of_properties_name'];
					$param['type'] = 5; // Текстовое поле
					$param['value'] = $arr['shop_list_of_properties_default_value'];
					$param['attributes']['rows'] = 10;
					$admin_forms_fields->AddField($param);

					// Разделитель.
					$admin_forms_fields->AddSeparator($tab_id);
				}

				break;
			}
			case 4:// Строка - визуальный редактор
			{
				if ($edit_items_catalog_id > 0)
				{
					// Дополнительное поле
					$param = array();
					$param['tab_id'] = $tab2_id;
					$param['name'] = 'add_value_'.$arr['field_name'];
					$param['caption'] = $arr['shop_list_of_properties_name'];
					$param['template'] = $template_id; // ID шаблона
					$param['type'] = 7; // Визуальный редактор
					$param['value'] = $arr['shop_properties_items_value'];
					$admin_forms_fields->AddField($param);

					// Разделитель.
					$admin_forms_fields->AddSeparator($tab_id);
				}
				else
				{
					// Дополнительное поле
					$param = array();
					$param['tab_id'] = $tab2_id;
					$param['name'] = 'add_value_'.$arr['field_name'];
					$param['caption'] = $arr['shop_list_of_properties_name'];
					$param['template'] = $template_id; // ID шаблона
					$param['type'] = 7; // Визуальный редактор
					$param['value'] = $arr['shop_list_of_properties_default_value'];
					$admin_forms_fields->AddField($param);

					// Разделитель.
					$admin_forms_fields->AddSeparator($tab_id);
				}

				break;
			}
			case 5:
				{
					if ($edit_items_catalog_id > 0)
					{
						// Дополнительное поле
						$param = array();
						$param['tab_id'] = $tab2_id;
						$param['name'] = 'add_value_'.$arr['field_name'];
						$param['caption'] = $arr['shop_list_of_properties_name'];
						$param['type'] = 10; // Дата
						$param['value'] = $arr['shop_properties_items_value'];
						$admin_forms_fields->AddField($param);

						// Разделитель.
						$admin_forms_fields->AddSeparator($tab_id);
					}
					else
					{
						// Дополнительное поле
						$param = array();
						$param['tab_id'] = $tab2_id;
						$param['name'] = 'add_value_'.$arr['field_name'];
						$param['caption'] = $arr['shop_list_of_properties_name'];
						$param['type'] = 10; // Дата
						$param['value'] = $arr['shop_list_of_properties_default_value'];
						$admin_forms_fields->AddField($param);

						// Разделитель.
						$admin_forms_fields->AddSeparator($tab_id);
					}

					break;
				}
			case 6:
				{
					if ($edit_items_catalog_id > 0)
					{
						// Дополнительное поле
						$param = array();
						$param['tab_id'] = $tab2_id;
						$param['name'] = 'add_value_'.$arr['field_name'];
						$param['caption'] = $arr['shop_list_of_properties_name'];
						$param['type'] = 11; // Датавремя
						$param['value'] = $arr['shop_properties_items_value'];
						$admin_forms_fields->AddField($param);

						// Разделитель.
						$admin_forms_fields->AddSeparator($tab_id);
					}
					else
					{
						// Дополнительное поле
						$param = array();
						$param['tab_id'] = $tab2_id;
						$param['name'] = 'add_value_'.$arr['field_name'];
						$param['caption'] = $arr['shop_list_of_properties_name'];
						$param['type'] = 11; // Датавремя
						$param['value'] = $arr['shop_list_of_properties_default_value'];
						$admin_forms_fields->AddField($param);

						// Разделитель.
						$admin_forms_fields->AddSeparator($tab_id);
					}

					break;
				}
			case 7:
				{
					if ($edit_items_catalog_id > 0)
					{
						// Дополнительное поле
						$param = array();
						$param['tab_id'] = $tab2_id;
						$param['name'] = 'add_value_'.$arr['field_name'];
						$param['caption'] = $arr['shop_list_of_properties_name'];
						$param['type'] = 1; // Флажок
						$param['value'] = $arr['shop_properties_items_value'];
						$admin_forms_fields->AddField($param);

						// Разделитель.
						$admin_forms_fields->AddSeparator($tab_id);
					}
					else
					{
						// Дополнительное поле
						$param = array();
						$param['tab_id'] = $tab2_id;
						$param['name'] = 'add_value_'.$arr['field_name'];
						$param['caption'] = $arr['shop_list_of_properties_name'];
						$param['type'] = 1; // Флажок
						$param['value'] = $arr['shop_list_of_properties_default_value'];
						$admin_forms_fields->AddField($param);

						// Разделитель.
						$admin_forms_fields->AddSeparator($tab_id);
					}

					break;
				}
		}
	}
}

// передеам скрытое поле с идентификатором товара если он есть
if ($edit_items_catalog_id != 0)
{
	$param = array();
	$param['tab_id'] = $tab_id;
	$param['name'] = 'edit_items';
	$param['caption'] = '';
	$param['type'] = 4; // hidden.
	$param['value'] = $edit_items_catalog_id;

	$admin_forms_fields->AddField($param);
}

if (isset($_REQUEST['shop_items_catalog_modification_id']))
{
	$param = array();
	$param['tab_id'] = $tab_id;
	$param['name'] = 'shop_items_catalog_modification_id';
	$param['caption'] = '';
	$param['type'] = 4; // hidden.
	$param['value'] = to_int($_REQUEST['shop_items_catalog_modification_id']);

	$admin_forms_fields->AddField($param);
}

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'action';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = 'show_groups';
$admin_forms_fields->AddField($param);

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_shops_id';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = $shop_shops_id;
$admin_forms_fields->AddField($param);

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'shop_groups_parent_id';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = $shop_groups_parent_id;
$admin_forms_fields->AddField($param);

$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'throu';
$param['caption'] = '';
$param['type'] = 4; // hidden.
$param['value'] = 0;
$admin_forms_fields->AddField($param);

// Кнопка "Сохранить".
$param = array();
$param['name'] = (!isset($_REQUEST['shop_items_catalog_modification_id']))?'save_items_catalog':'save_items_catalog_mod';
$param['caption'] = $GLOBALS['MSG_shops']['save'];
$param['attributes']['onclick'] = "return doSendForm('{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'button';
$admin_forms_fields->AddButton($param);

// Кнопка "Применить".
$param = array();
$param['name'] = (!isset($_REQUEST['shop_items_catalog_modification_id']))?'add_items_catalog':'add_items_catalog_mod';
$param['caption'] = $GLOBALS['MSG_shops']['apply'];
$param['image'] = '/admin/images/add.gif';
$param['attributes']['onclick'] = "return doSendForm('{$admin_forms_fields->AAction}', '{$admin_forms_fields->AAdditionalParams}', this, ".to_int($_REQUEST['admin_forms_id']).", 'load_data', " . to_int($admin_forms_fields->form_params['current_page']) . ", " . to_int($admin_forms_fields->form_params['on_page']) . " )";
$param['attributes']['type'] = 'submit';
$admin_forms_fields->AddButton($param);

// Отображение формы.
$admin_forms_fields->ShowForm();
?>